<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2023 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 *  If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Core\Admin\API;

class MessageEventFactory
{
    public static function create(): MessageEventInterface
    {
        return new \JchOptimize\Core\Admin\API\WebSocket();
        // return new EventSource();
    }

    public static function isSocketsSupportEnabled(): bool
    {
        return \extension_loaded('sockets');
    }
}
